Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
05714 Graphics Minor Always Oct 10, 2014, 13:08 Sep 26, 2015, 19:37
Tester demotester View Status Public Platform MESS (Official Binary)
Assigned To Resolution Fixed OS Windows XP
Status [?] Resolved Driver a2600.cpp
Version 0.154 Fixed in Version 0.166 Build Normal
Summary MESS-specific 05714: a2600p: The demo "(core) by wamma" is not working properly.
Description Some parts of the demo "(core) by wamma" are not working properly in MESS a2600p system.

http://www.pouet.net/prod.php?which=30236
Steps To Reproduce Compare the demo in mess using a2600p system with below yt-video:




case1
--------
yt-video from 0:41 till 0:57 and 1:48 till 2:04 ... in MESS it does not works properly -> only vertical stripes

case2
--------
yt-video from 2:44 till 3:16 ... in MESS it does not works properly -> f.ex. the scroll text does not wave
Additional Information
Flags
Regression Version
Affected Sets / Systems a2600p
Attached Files
 
Relationships
related to 05718Resolved a2600p: The demo "TOM/JONES by trilobit" is not working properly. 
Notes
2
User avatar
No.11038
Tafoid
Administrator
Oct 11, 2014, 22:04
Timing/IRQ issues with the newer m6502 core in late 2012 (r18875)
User avatar
No.12046
Tafoid
Administrator
Sep 26, 2015, 19:37
https://github.com/mamedev/mame/commit/80b274e7ed97be04821cb6658a154ea11203b8ff
a2600: new 6502 PC=cur inst, old 6502 PC=prev inst (MT 5345) [Mike Saarna, Trebor, R. Belmont]